Page MenuHomePhabricator

Notify users when a new Beta Feature is available for testing
Closed, DuplicatePublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/425

Narrative

As a user, I want to know if know if a new feature is ready for testing, so I can try it out before it is released.

Acceptance Criteria

We want to notify users when a new feature is ready for testing, so more of them get a chance to see it before it is released.

Be sure to check this wiki specification for Echo notifications of Beta Features , which will replace this Mingle card for development purposes.

To that end, we propose the following tasks:

  • Use the proposal and development update below)
  • Show this notification content for the ''New Feature Available' message: Check out this new feature: [ Media Viewer ]. Try it in beta and share your feedback!
  • We need a new notification category label for 'New Feature'
  • We also need a new category icon for that notification
  • Check to see if the user has enabled the feature already as a BetaFeature
  • If they haven't enabled it yet, link to that feature section in Beta Features preferences
  • If they have enabled it, link to the feature overview page where they can discuss it. (e.g. 'About Media Viewer')
  • This feature can be triggered manually , on a per-wiki basis (so product teams can control the timing and scope of each local notification)

Notes:

  • More design input is needed before we can properly estimate this task.
  • This will also require changes to the Beta Features extension (e.g.: anchors for direct link to the BetaFeature), to be specified in T77352: BetaFeatures Extension Update for Notifications
  • "New Feature Release": We also want to notify users when the feature has released (with a separate notification, to be specified in a different task).
  • More detailed specs for this new Echo notification will be needed, as shown on this Echo Feature Requirements page.

Development Update

Developer Kunal Mehta [legoktm] has started development on a first version of the "new feature available" notification, which is being reviewed on this original proposal for BetaFeatures notifications.

However, more work is needed to test and debug this first version, as well as to create the second notification "New feature has launched", and the Beta Features extension update.


See also: (Alternative idea) T77366: Popup Guider for Beta Features

Event Timeline

MingleTerminator raised the priority of this task from to Low.Dec 8 2014, 5:05 PM
MingleTerminator added a project: Multimedia.
Gilles added a subscriber: Gilles.
greg lowered the priority of this task from Low to Lowest.Jan 8 2015, 6:01 PM
greg moved this task from To Triage to Backlog (Tech) on the Deployments board.
Rdicerb set Security to None.
Rdicerb added a subscriber: Rdicerb.
Gilles removed a subscriber: Gilles.Apr 23 2015, 6:05 AM
Quiddity updated the task description. (Show Details)Jun 29 2015, 7:55 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 7:55 PM

Additional thoughts on this, from https://meta.wikimedia.org/wiki/Community_Engagement_%28Product%29/Process_ideas#Notifications_for_Beta_Features_.2F_More_deliberate_notifications (with minor cleanup)

  • All users get notified each time a new Beta Feature is available, so they can try them out, make suggestions, highlight issues, and give other feedback
  • All users get notified in advance each time an existing Beta Feature "graduates" to be on for all users, so they can give last-minute feedback and for awareness
  • Users can opt out of these notifications if they aren't interested, but by default they're available to all for maximum feedback opportunities and awareness
  • Perhaps we don't want to nag people about new beta features. They'd disable notifications with a "wth is this? I'm not tech-savvy" and never see them again.
  • Instead of notifications, it could simply say the dates (when was it added to beta?) in the beta tab (and a "new!" red note perhaps).
  • Or perhaps mention very very short summary of such recent news in the sidebar.
  • This (and the beta tab itself) should be available to unregistered contributors too.
  • Information about changes would be served to users, rather than needing to be found by users.
  • Centralizing communications allows the WMF or volunteer development projects to inform users of changes whether at once or on a project per project basis

Advantages of Notifications for Beta Features

  • Notify users of up-and-coming features, clarifying that the feature is incomplete and testing/feedback is requested
  • Even if a user does not want to test or give feedback, they are made aware that there is such a feature/system/product in the works
  • Users can opt out of these notifications if they really don't care about such things
  • Proactively reaching users about changes helps communities to feel prepared for change or invited to participate in collaborate when notified of a beta feature launch or a "last chance to give feedback before deployment."
  • Reduces need for users to go find information; brings information to communities

Disadvantages of Notifications for Beta Features

  • Could be very spammy for low-stickiness users unless the notifications time out even if unread at some point (so you don't come back after 2 months away to find 12 notifications about software changes)
  • Would be very spammy unless implemented as a proper cross-wiki notification type (so you don't get the notification on French Wikiversity, then on French Wikiquote, then on Dutch Wikipedia, then…)
  • We currently can't do notifications for logged-out users (readers or editors), as the Notifications system doesn't support that
  • Only works for code we can split off into Beta Features; not really possible for wider-reaching features like Flow (pages can opt in, users can't) or
  • If implemented with nagging/popups/noise, people would close this off and get rid of this, and remain unaware of future changes.
  • Could become noisy if the same systems that notify users of other events are used
  • Could become annoying as in "one more notification system"
greg added a subscriber: greg.Jun 30 2015, 10:48 PM

This really isn't a deployment systems task; all of the logic would live within MW or whatever extension manages this (eg: BetaFeatures). From a deployment system's perspective, every deploy that has new code has new features; it's all the same to us :)

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:55 PM
Aklapper renamed this task from New Feature Notification to Notify users when a new Beta Feature is available for testing.Sep 28 2015, 1:08 PM